> ## Documentation Index
> Fetch the complete documentation index at: https://www.text.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Resume chat

> Restarts an archived chat. The method updates the requester's `events_seen_up_to` as if they've seen all chat events.



## OpenAPI

````yaml /api/customer-chat/v3.6/openapi.json post /action/resume_chat
openapi: 3.1.0
info:
  title: Customer Chat API
  version: '3.6'
servers:
  - url: https://api.livechatinc.com/v3.6/customer
security:
  - CustomerBearerToken: []
tags:
  - name: Chats
  - name: Configuration
  - name: Events
  - name: Localization
  - name: Properties
  - name: Customers
  - name: Status
  - name: Other
paths:
  /action/resume_chat:
    post:
      tags:
        - Chats
      summary: Resume chat
      description: >-
        Restarts an archived chat. The method updates the requester's
        `events_seen_up_to` as if they've seen all chat events.
      operationId: resume-chat
      parameters:
        - $ref: '#/components/parameters/organization_id'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ResumeChatRequest'
            example:
              chat:
                id: PWLW03ICW7
      responses:
        '200':
          description: Chat resumed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ResumeChatResponse'
              example:
                thread_id: Z8AGR5OUW
components:
  parameters:
    organization_id:
      name: organization_id
      in: query
      required: true
      schema:
        type: string
      description: Unique identifier of the organization.
  schemas:
    ResumeChatRequest:
      type: object
      required:
        - chat
      properties:
        chat:
          type: object
          required:
            - id
          description: '[Chat object](/api/customer-chat/v3.6/data-structures#chats).'
          properties:
            id:
              type: string
              description: The ID of the chat to resume.
            access:
              $ref: '#/components/schemas/Access'
              description: 'The chat access to set. Default: all agents.'
            properties:
              $ref: '#/components/schemas/Properties'
              description: The initial chat properties.
            thread:
              type: object
              description: >-
                [Thread
                object](/api/customer-chat/v3.6/data-structures#threads).
              properties:
                events:
                  type: array
                  items:
                    type: object
                    additionalProperties: true
                  description: The initial chat events array.
                properties:
                  $ref: '#/components/schemas/Properties'
                  description: The initial thread properties.
        active:
          type: boolean
          default: true
          description: >-
            If set to `true`: creates an active thread. If set to `false`:
            creates an inactive thread.
        continuous:
          type: boolean
          description: >-
            If set to `true`: sets a chat to the continuous mode. If set to
            `false`: sets a chat to non-continuous mode. When unset, leaves the
            mode unchanged.
    ResumeChatResponse:
      type: object
      properties:
        thread_id:
          type: string
          description: The thread ID.
        event_ids:
          type: array
          items:
            type: string
          description: >-
            Returned only when the chat was resumed with initial events. Returns
            only the IDs of user-generated events; server-side generated events
            are not included in the array.
    Access:
      type: object
      properties:
        group_ids:
          type: array
          items:
            type: integer
          description: The group IDs. `0` means all agents can see it.
    Properties:
      type: object
      additionalProperties: true
      description: Properties object.
  securitySchemes:
    CustomerBearerToken:
      type: http
      scheme: bearer
      description: >-
        Customer access token obtained from the [customer authorization
        flow](/authentication/customer-tokens).
      x-example: us-south1:MQraNrGCsoJvtxD7KNJQB1kM3d5

````